--- CMakeLists.txt	2012-03-04 13:01:24.000000000 +0100
+++ CMakeLists.txt.new	2012-03-08 22:14:27.000000000 +0100
@@ -353,9 +353,16 @@
 ENDIF(AUDIO_CAPTCHA)
 
 IF(FROST_SUPPORT)
-	ADD_SUBDIRECTORY(libs/polarssl)
-	TARGET_LINK_LIBRARIES(fms polarssl)
-	INCLUDE_DIRECTORIES(libs/polarssl/include)
+
+	FIND_LIBRARY(POLARSSL_LIBRARY NAMES polarssl libpolarssl)
+
+	IF(POLARSSL_LIBRARY)
+		TARGET_LINK_LIBRARIES(fms ${POLARSSL_LIBRARY})
+	ELSE(POLARSSL_LIBRARY)
+		ADD_SUBDIRECTORY(libs/polarssl)
+		TARGET_LINK_LIBRARIES(fms polarssl)
+		INCLUDE_DIRECTORIES(libs/polarssl/include)
+	ENDIF(POLARSSL_LIBRARY)
 
 	ADD_DEFINITIONS(-DFROST_SUPPORT)
 
